import request from '@/utils/request'

// 查询国土资源-行政处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmLandResourcesPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询国土资源-行政处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmLandResourcesPenalty/' + id,
        method: 'get'
    })
}

// 新增国土资源-行政处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmLandResourcesPenalty',
        method: 'post',
        data: data
    })
}

// 修改国土资源-行政处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmLandResourcesPenalty',
        method: 'put',
        data: data
    })
}

// 删除国土资源-行政处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmLandResourcesPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmLandResourcesPenalty/delete',ids)
}